// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v4.25.6
// source: resource_limit.proto

package gen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// UpdateResourceLimitRequest is the input for updating an ResourceLimit.
type UpdateResourceLimitRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Version       *string                `protobuf:"bytes,1,opt,name=version,proto3,oneof" json:"version,omitempty"`
	Name          string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Value         int32                  `protobuf:"varint,3,opt,name=value,proto3" json:"value,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UpdateResourceLimitRequest) Reset() {
	*x = UpdateResourceLimitRequest{}
	mi := &file_resource_limit_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UpdateResourceLimitRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateResourceLimitRequest) ProtoMessage() {}

func (x *UpdateResourceLimitRequest) ProtoReflect() protoreflect.Message {
	mi := &file_resource_limit_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateResourceLimitRequest.ProtoReflect.Descriptor instead.
func (*UpdateResourceLimitRequest) Descriptor() ([]byte, []int) {
	return file_resource_limit_proto_rawDescGZIP(), []int{0}
}

func (x *UpdateResourceLimitRequest) GetVersion() string {
	if x != nil && x.Version != nil {
		return *x.Version
	}
	return ""
}

func (x *UpdateResourceLimitRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *UpdateResourceLimitRequest) GetValue() int32 {
	if x != nil {
		return x.Value
	}
	return 0
}

// ResourceLimit defines a container that houses resources within Phobos.
type ResourceLimit struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Metadata      *ResourceMetadata      `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
	Name          string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Value         int32                  `protobuf:"varint,3,opt,name=value,proto3" json:"value,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ResourceLimit) Reset() {
	*x = ResourceLimit{}
	mi := &file_resource_limit_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ResourceLimit) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourceLimit) ProtoMessage() {}

func (x *ResourceLimit) ProtoReflect() protoreflect.Message {
	mi := &file_resource_limit_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourceLimit.ProtoReflect.Descriptor instead.
func (*ResourceLimit) Descriptor() ([]byte, []int) {
	return file_resource_limit_proto_rawDescGZIP(), []int{1}
}

func (x *ResourceLimit) GetMetadata() *ResourceMetadata {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *ResourceLimit) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ResourceLimit) GetValue() int32 {
	if x != nil {
		return x.Value
	}
	return 0
}

// GetResourceLimitsResponse is the list of ResourceLimits
type GetResourceLimitsResponse struct {
	state          protoimpl.MessageState `protogen:"open.v1"`
	ResourceLimits []*ResourceLimit       `protobuf:"bytes,1,rep,name=resource_limits,json=resourceLimits,proto3" json:"resource_limits,omitempty"`
	unknownFields  protoimpl.UnknownFields
	sizeCache      protoimpl.SizeCache
}

func (x *GetResourceLimitsResponse) Reset() {
	*x = GetResourceLimitsResponse{}
	mi := &file_resource_limit_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetResourceLimitsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetResourceLimitsResponse) ProtoMessage() {}

func (x *GetResourceLimitsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_resource_limit_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetResourceLimitsResponse.ProtoReflect.Descriptor instead.
func (*GetResourceLimitsResponse) Descriptor() ([]byte, []int) {
	return file_resource_limit_proto_rawDescGZIP(), []int{2}
}

func (x *GetResourceLimitsResponse) GetResourceLimits() []*ResourceLimit {
	if x != nil {
		return x.ResourceLimits
	}
	return nil
}

var File_resource_limit_proto protoreflect.FileDescriptor

var file_resource_limit_proto_rawDesc = string([]byte{
	0x0a, 0x14, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x6c, 0x69, 0x6d, 0x69, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x25, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x1a, 0x0e, 0x6d,
	0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65,
	0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x71, 0x0a, 0x1a, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4c, 0x69, 0x6d, 0x69,
	0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x07, 0x76, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x42, 0x0a, 0x0a, 0x08, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0x89, 0x01,
	0x0a, 0x0d, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x12,
	0x4e, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x32, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4d, 0x65, 0x74,
	0x61, 0x64, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x7a, 0x0a, 0x19, 0x47, 0x65, 0x74,
	0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5d, 0x0a, 0x0f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x5f, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x34, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x4c, 0x69, 0x6d, 0x69, 0x74, 0x52, 0x0e, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4c,
	0x69, 0x6d, 0x69, 0x74, 0x73, 0x32, 0x94, 0x02, 0x0a, 0x0e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x73, 0x12, 0x6f, 0x0a, 0x11, 0x47, 0x65, 0x74, 0x52,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x73, 0x12, 0x16, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x40, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x2e, 0x47, 0x65,
	0x74, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x90, 0x01, 0x0a, 0x13, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4c, 0x69, 0x6d, 0x69,
	0x74, 0x12, 0x41, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x34, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x2e, 0x52, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x22, 0x00, 0x42, 0x47, 0x5a, 0x45,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x66, 0x6f, 0x72,
	0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x2d, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2f, 0x70, 0x68, 0x6f, 0x62,
	0x6f, 0x73, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x73, 0x2f, 0x67, 0x65, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_resource_limit_proto_rawDescOnce sync.Once
	file_resource_limit_proto_rawDescData []byte
)

func file_resource_limit_proto_rawDescGZIP() []byte {
	file_resource_limit_proto_rawDescOnce.Do(func() {
		file_resource_limit_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_resource_limit_proto_rawDesc), len(file_resource_limit_proto_rawDesc)))
	})
	return file_resource_limit_proto_rawDescData
}

var file_resource_limit_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_resource_limit_proto_goTypes = []any{
	(*UpdateResourceLimitRequest)(nil), // 0: martiancloud.phobos.api.resourcelimit.UpdateResourceLimitRequest
	(*ResourceLimit)(nil),              // 1: martiancloud.phobos.api.resourcelimit.ResourceLimit
	(*GetResourceLimitsResponse)(nil),  // 2: martiancloud.phobos.api.resourcelimit.GetResourceLimitsResponse
	(*ResourceMetadata)(nil),           // 3: martiancloud.phobos.api.metadata.ResourceMetadata
	(*emptypb.Empty)(nil),              // 4: google.protobuf.Empty
}
var file_resource_limit_proto_depIdxs = []int32{
	3, // 0: martiancloud.phobos.api.resourcelimit.ResourceLimit.metadata:type_name -> martiancloud.phobos.api.metadata.ResourceMetadata
	1, // 1: martiancloud.phobos.api.resourcelimit.GetResourceLimitsResponse.resource_limits:type_name -> martiancloud.phobos.api.resourcelimit.ResourceLimit
	4, // 2: martiancloud.phobos.api.resourcelimit.ResourceLimits.GetResourceLimits:input_type -> google.protobuf.Empty
	0, // 3: martiancloud.phobos.api.resourcelimit.ResourceLimits.UpdateResourceLimit:input_type -> martiancloud.phobos.api.resourcelimit.UpdateResourceLimitRequest
	2, // 4: martiancloud.phobos.api.resourcelimit.ResourceLimits.GetResourceLimits:output_type -> martiancloud.phobos.api.resourcelimit.GetResourceLimitsResponse
	1, // 5: martiancloud.phobos.api.resourcelimit.ResourceLimits.UpdateResourceLimit:output_type -> martiancloud.phobos.api.resourcelimit.ResourceLimit
	4, // [4:6] is the sub-list for method output_type
	2, // [2:4] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_resource_limit_proto_init() }
func file_resource_limit_proto_init() {
	if File_resource_limit_proto != nil {
		return
	}
	file_metadata_proto_init()
	file_resource_limit_proto_msgTypes[0].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_resource_limit_proto_rawDesc), len(file_resource_limit_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_resource_limit_proto_goTypes,
		DependencyIndexes: file_resource_limit_proto_depIdxs,
		MessageInfos:      file_resource_limit_proto_msgTypes,
	}.Build()
	File_resource_limit_proto = out.File
	file_resource_limit_proto_goTypes = nil
	file_resource_limit_proto_depIdxs = nil
}
